# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    # Installing the software

    install_exe_if_needed(
        "mtputty_setyp.exe", 
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /ALLUSERS", 
        key="MTPuTTY_is1",
         min_version= control.get_software_version(),

    )
